<?php

  $printing_press_theme_custom_setting_css = '';

	// Global Color
	$printing_press_theme_color = get_theme_mod('printing_press_theme_color', '#1b1a20');

	$printing_press_theme_custom_setting_css .=':root {';
		$printing_press_theme_custom_setting_css .='--primary-theme-color: '.esc_attr($printing_press_theme_color ).'!important;';
	$printing_press_theme_custom_setting_css .='}';

	// Scroll to top alignment
	$printing_press_scroll_alignment = get_theme_mod('printing_press_scroll_alignment', 'right');

    if($printing_press_scroll_alignment == 'right'){
        $printing_press_theme_custom_setting_css .='.scroll-up{';
            $printing_press_theme_custom_setting_css .='right: 30px;!important;';
			$printing_press_theme_custom_setting_css .='left: auto;!important;';
        $printing_press_theme_custom_setting_css .='}';
    }else if($printing_press_scroll_alignment == 'center'){
        $printing_press_theme_custom_setting_css .='.scroll-up{';
            $printing_press_theme_custom_setting_css .='left: calc(50% - 10px) !important;';
        $printing_press_theme_custom_setting_css .='}';
    }else if($printing_press_scroll_alignment == 'left'){
        $printing_press_theme_custom_setting_css .='.scroll-up{';
            $printing_press_theme_custom_setting_css .='left: 30px;!important;';
			$printing_press_theme_custom_setting_css .='right: auto;!important;';
        $printing_press_theme_custom_setting_css .='}';
    }	

    // Related Product

    $printing_press_show_related_product = get_theme_mod('printing_press_show_related_product', true );

    if($printing_press_show_related_product != true){
        $printing_press_theme_custom_setting_css .='.related.products{';
            $printing_press_theme_custom_setting_css .='display: none;';
        $printing_press_theme_custom_setting_css .='}';
    } 
    
    // Featured Image Hover Effect
    $printing_press_show_featured = get_theme_mod('printing_press_featured_image_hide_show', 1);
    $printing_press_hover_effect = get_theme_mod('printing_press_single_post_featured_image_hover','none');

    if ( $printing_press_show_featured && $printing_press_hover_effect !== 'none' ) {

    $printing_press_theme_custom_setting_css .= '
    .post-img img{
        transition: all 0.4s ease;
    }';

    if ( $printing_press_hover_effect === 'zoom-in' ) {
        $printing_press_theme_custom_setting_css .= '
        .post-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $printing_press_hover_effect === 'zoom-out' ) {
        $printing_press_theme_custom_setting_css .= '
        .post-img img{ transform: scale(1.2); }
        .post-img:hover img{ transform: scale(1); }';
    }

    if ( $printing_press_hover_effect === 'grayscale' ) {
        $printing_press_theme_custom_setting_css .= '
        .post-img img{ filter: grayscale(100%); }
        .post-img:hover img{ filter: grayscale(0); }';
    }

    if ( $printing_press_hover_effect === 'sepia' ) {
        $printing_press_theme_custom_setting_css .= '
        .post-img:hover img{ filter: sepia(100%); }';
    }

    if ( $printing_press_hover_effect === 'blur' ) {
        $printing_press_theme_custom_setting_css .= '
        .post-img:hover img{ filter: blur(3px); }';
    }

    if ( $printing_press_hover_effect === 'bright' ) {
        $printing_press_theme_custom_setting_css .= '
        .post-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $printing_press_hover_effect === 'translate' ) {
        $printing_press_theme_custom_setting_css .= '
        .post-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $printing_press_hover_effect === 'scale' ) {
        $printing_press_theme_custom_setting_css .= '
        .post-img:hover img{ transform: scale(1.1); }';
    }
}

// Product Featured Image Hover Effect
    $printing_press_show_featured = get_theme_mod('printing_press_featured_image_hide_show', 1);
    $printing_press_hover_effect = get_theme_mod('printing_press_product_featured_image_hover','none');

    if ( $printing_press_show_featured && $printing_press_hover_effect !== 'none' ) {

    $printing_press_theme_custom_setting_css .= '
    .product-img img{
        transition: all 0.4s ease;
    }';

    if ( $printing_press_hover_effect === 'zoom-in' ) {
        $printing_press_theme_custom_setting_css .= '
        .product-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $printing_press_hover_effect === 'zoom-out' ) {
        $printing_press_theme_custom_setting_css .= '
        .product-img img{ transform: scale(1.2); }
        .product-img:hover img{ transform: scale(1); }';
    }

    if ( $printing_press_hover_effect === 'grayscale' ) {
        $printing_press_theme_custom_setting_css .= '
        .product-img img{ filter: grayscale(100%); }
        .product-img:hover img{ filter: grayscale(0); }';
    }

    if ( $printing_press_hover_effect === 'sepia' ) {
        $printing_press_theme_custom_setting_css .= '
        .product-img:hover img{ filter: sepia(100%); }';
    }

    if ( $printing_press_hover_effect === 'blur' ) {
        $printing_press_theme_custom_setting_css .= '
        .product-img:hover img{ filter: blur(3px); }';
    }

    if ( $printing_press_hover_effect === 'bright' ) {
        $printing_press_theme_custom_setting_css .= '
        .product-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $printing_press_hover_effect === 'translate' ) {
        $printing_press_theme_custom_setting_css .= '
        .product-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $printing_press_hover_effect === 'scale' ) {
        $printing_press_theme_custom_setting_css .= '
        .product-img:hover img{ transform: scale(1.1); }';
    }
}   